Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationSceneNodeManager Class Reference

変換シーンノードマネージャ More...

`#include <TranslationSceneNodeManager.h>`

List of all members.

## Public Member Functions
| TranslationSceneNodeManager ()
| コンストラクタ
virtual | ~TranslationSceneNodeManager ()
| デストラクタ
virtual bool | collectSceneNodes ()
| シーンノードの収集
virtual bool | compilePivot (TranslationModelManager *modelManager)
| ピボットのコンパイル
virtual bool | collectAnimations ()
| アニメーションの収集
virtual bool | convertToLamp (Scene *scene) const
| Lampへの変換.
virtual bool | convertAnimation (AnimationManager *animationManager, AnimationSet *animationSet)
| アニメーションの変換
virtual int | clear ()
| クリア
virtual int | getCount () const
| シーンノード数の取得
virtual TranslationSceneNode * | get (int index) const
| シーンノードの取得
virtual TranslationSceneNode * | search (String name) const
| シーンノードの検索
## Static Public Member Functions
bool | checkValidDagNode (const MDagPath &dagPath)
| 有効Dagノードチェック
## Protected Member Functions
virtual bool | analysisSceneNode (MDagPath dagPath)
| シーンノードの解析

## Detailed Description

変換シーンノードマネージャ

Definition at line 40 of file TranslationSceneNodeManager.h.

## Member Function Documentation

bool LampForMaya::TranslationSceneNodeManager::analysisSceneNode | ( | MDagPath | dagPath | ) | `[protected, virtual]`

  | シーンノードの解析 Parameters:
  dagPath | DAGパス
Definition at line 113 of file TranslationSceneNodeManager.cpp. References LampForMaya::TranslationSceneNode::analyze(), MayaErrorOut, and MayaStatusCheck. Referenced by collectSceneNodes().

bool LampForMaya::TranslationSceneNodeManager::checkValidDagNode | ( | const MDagPath & | dagPath | ) | `[static]`

  | 有効Dagノードチェック Parameters:
  dagPath | Dagパス
Returns: 有効なDagノードならtrue Definition at line 75 of file TranslationSceneNodeManager.cpp. References MayaStatusCheck. Referenced by collectSceneNodes().

int LampForMaya::TranslationSceneNodeManager::clear | ( |  | ) | `[virtual]`

| クリア Returns: 削除したオブジェクト数 Definition at line 180 of file TranslationSceneNodeManager.cpp. References getCount(). Referenced by LampForMaya::TranslationScene::clear(), and ~TranslationSceneNodeManager().

bool LampForMaya::TranslationSceneNodeManager::collectAnimations | ( |  | ) | `[virtual]`

| アニメーションの収集 Returns: 成功すればtrue Definition at line 148 of file TranslationSceneNodeManager.cpp. References LampForMaya::TranslationSceneNode::analyzeAnimation(), get(), and getCount(). Referenced by LampForMaya::TranslationScene::collectAnimation().

bool LampForMaya::TranslationSceneNodeManager::collectSceneNodes | ( |  | ) | `[virtual]`

| シーンノードの収集 Returns: 成功すればtrue Definition at line 44 of file TranslationSceneNodeManager.cpp. References analysisSceneNode(), checkValidDagNode(), and MayaStatusCheck. Referenced by LampForMaya::TranslationScene::collection().

bool LampForMaya::TranslationSceneNodeManager::compilePivot | ( | TranslationModelManager * | modelManager | ) | `[virtual]`

  | ピボットのコンパイル Parameters:
  modelManager | モデルマネージャ
Returns: 成功すればtrue Definition at line 138 of file TranslationSceneNodeManager.cpp. References LampForMaya::TranslationSceneNode::compilePivot(), get(), and getCount(). Referenced by LampForMaya::TranslationScene::collection().

bool LampForMaya::TranslationSceneNodeManager::convertAnimation | ( | AnimationManager * | animationManager,
|  | AnimationSet * | animationSet
| ) | `[virtual]`

  | アニメーションの変換 Parameters:
  animationManager | アニメーションマネージャ
  animationSet | アニメーションセット
Returns: 成功すればtrue Definition at line 169 of file TranslationSceneNodeManager.cpp. References LampForMaya::TranslationSceneNode::convertAnimation(), get(), and getCount(). Referenced by LampForMaya::TranslationScene::convertAnimation().

bool LampForMaya::TranslationSceneNodeManager::convertToLamp | ( | Scene * | scene | ) | const`[virtual]`

  | Lampへの変換. Parameters:
  scene | 変換先シーン
Returns: 成功すればtrue Definition at line 156 of file TranslationSceneNodeManager.cpp. References LampForMaya::TranslationSceneNode::convertToLamp(), get(), getCount(), and LampForMaya::TranslationSceneNode::linkConnect(). Referenced by LampForMaya::TranslationScene::convertToLamp().

virtual TranslationSceneNode* LampForMaya::TranslationSceneNodeManager::get | ( | int | index | ) | const`[inline, virtual]`

  | シーンノードの取得 Parameters:
  index | シーンノードのインデクス
Returns: シーンノード Definition at line 104 of file TranslationSceneNodeManager.h. Referenced by collectAnimations(), compilePivot(), convertAnimation(), and convertToLamp().

virtual int LampForMaya::TranslationSceneNodeManager::getCount | ( |  | ) | const`[inline, virtual]`

| シーンノード数の取得 Returns: シーンノード数 Definition at line 97 of file TranslationSceneNodeManager.h. Referenced by clear(), collectAnimations(), compilePivot(), convertAnimation(), convertToLamp(), and ~TranslationSceneNodeManager().

virtual TranslationSceneNode* LampForMaya::TranslationSceneNodeManager::search | ( | String | name | ) | const`[inline, virtual]`

  | シーンノードの検索 Parameters:
  name | 検索するシーンノード名
Returns: シーンノード Definition at line 113 of file TranslationSceneNodeManager.h. Referenced by LampForMaya::TranslationSceneNode::compilePivot().

The documentation for this class was generated from the following files:

- TranslationSceneNodeManager.h
- TranslationSceneNodeManager.cpp